| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSectorIterator Struct Reference
[Crystal Space 3D Engine]

An iterator to iterate over sectors. More...

`#include <iengine/sector.h>`

Inheritance diagram for iSectorIterator:

[legend]
List of all members.

## Public Member Functions
virtual const csVector3 & | GetLastPosition () const =0
| Get last position that was used from Fetch.
virtual bool | HasNext () const =0
| Return true if there are more elements.
virtual iSector * | Next ()=0
| Get sector from iterator. Return 0 at end.
virtual void | Reset ()=0
| Restart iterator.

## Detailed Description

An iterator to iterate over sectors.

Some functions in CS return this.

Main creators of instances implementing this interface:

- iEngine::GetNearbySectors()

Definition at line 549 of file sector.h.

## Member Function Documentation

virtual const csVector3& iSectorIterator::GetLastPosition | ( |  | ) | const`[pure virtual]`

Get last position that was used from Fetch.

This can be different from 'pos' because of space warping.

virtual bool iSectorIterator::HasNext | ( |  | ) | const`[pure virtual]`

Return true if there are more elements.

virtual iSector* iSectorIterator::Next | ( |  | ) | `[pure virtual]`

Get sector from iterator. Return 0 at end.

virtual void iSectorIterator::Reset | ( |  | ) | `[pure virtual]`

Restart iterator.

The documentation for this struct was generated from the following file:

- iengine/sector.h